Mediflo
REST APIProcedures

Get a procedure

Required scope: `bots.read`.

GET/bot-procedures/{procedureId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

An external API key, sent as Authorization: Bearer mflo_…. Scopes are checked per route; see each operation’s description.

In: header

Path Parameters

procedureId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/bot-procedures/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "botId": "58ed41f0-04bf-402f-9853-7143ef7dd5ce",    "name": "string",    "type": "FREE_FORM",    "trigger": "string",    "content": null,    "position": 0,    "enabled": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}